Create a reoptimization brief and start pipeline
In: header
Path Parameters
Domain ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/domains/string/content-studio-v2/reoptimization-briefs" \ -H "Content-Type: application/json" \ -d '{ "opportunityPageUrl": "https://example.com/blog/my-article", "topQueries": [ { "query": "best running shoes for beginners", "clicks": 320, "impressions": 12500, "ctr": 0.026, "position": 8.4 } ], "targetKeywords": [ "best running shoes", "running shoes for flat feet" ] }'{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"opportunityPageUrl": "https://nike.com/air-max",
"status": "completed",
"source": "gsc",
"mode": "full",
"autoMode": false,
"targetKeywords": [
"best running shoes",
"running shoes for flat feet"
],
"language": "en",
"currentStep": 8,
"totalSteps": 8,
"currentStepName": "generateBrief",
"errorMessage": "Page crawl returned 404",
"createdAt": "2026-05-25T10:30:00.000Z",
"completedAt": "2026-05-25T10:35:00.000Z"
}